Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Interface PrivacyStatementURL

All Superinterfaces:
  org.opensaml.xml.LangBearing, LocalizedURI, org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

All Known Implementing Classes:
  PrivacyStatementURLImpl

    public interface PrivacyStatementURL

extends LocalizedURI

PrivacyStatementURL. See IdP Discovery and Login UI Metadata Extension Profile.

Field Summary
`static String` | `DEFAULT_ELEMENT_LOCAL_NAME` Element local name.
`static QName` | `DEFAULT_ELEMENT_NAME` Default element name.

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedURI
`TYPE_LOCAL_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Method Summary
`org.opensaml.saml2.metadata.LocalizedString` | `getURL()` Gets the PrivacyStatementURL of the EndPoint.
`void` | `setURL(org.opensaml.saml2.metadata.LocalizedString newName)` Sets the PrivacyStatementURL of the EndPoint.

Methods inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedURI
`getURI, setURI`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Methods inherited from interface org.opensaml.xml.LangBearing
`getXMLLang, setXMLLang`

Field Detail

### DEFAULT_ELEMENT_LOCAL_NAME

    static final String DEFAULT_ELEMENT_LOCAL_NAME

  Element local name.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_NAME

    static final QName DEFAULT_ELEMENT_NAME

  Default element name.

Method Detail

### getURL

    org.opensaml.saml2.metadata.LocalizedString getURL()

  Gets the PrivacyStatementURL of the EndPoint.

  Returns:
    the PrivacyStatementURL of the EndPoint

### setURL

    void setURL(org.opensaml.saml2.metadata.LocalizedString newName)

  Sets the PrivacyStatementURL of the EndPoint.

  Parameters:
    `newName` - PrivacyStatementURL of the EndPoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.